/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreValuelistJsonbNatural;

import org.jooq.JSONB;
import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreValuelistJsonbNaturalRecord extends TableRecordImpl<VCoreValuelistJsonbNaturalRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for
     * <code>common_dd.v_core_valuelist_jsonb_natural.fk_valuelist</code>.
     */
    public void setFkValuelist(Integer value) {
        set(0, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_core_valuelist_jsonb_natural.fk_valuelist</code>.
     */
    public Integer getFkValuelist() {
        return (Integer) get(0);
    }

    /**
     * Setter for
     * <code>common_dd.v_core_valuelist_jsonb_natural.jsonb_object_agg</code>.
     */
    public void setJsonbObjectAgg(JSONB value) {
        set(1, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_core_valuelist_jsonb_natural.jsonb_object_agg</code>.
     */
    public JSONB getJsonbObjectAgg() {
        return (JSONB) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreValuelistJsonbNaturalRecord
     */
    public VCoreValuelistJsonbNaturalRecord() {
        super(VCoreValuelistJsonbNatural.V_CORE_VALUELIST_JSONB_NATURAL);
    }

    /**
     * Create a detached, initialised VCoreValuelistJsonbNaturalRecord
     */
    public VCoreValuelistJsonbNaturalRecord(Integer fkValuelist, JSONB jsonbObjectAgg) {
        super(VCoreValuelistJsonbNatural.V_CORE_VALUELIST_JSONB_NATURAL);

        setFkValuelist(fkValuelist);
        setJsonbObjectAgg(jsonbObjectAgg);
        resetChangedOnNotNull();
    }
}
